const { UUID, UUIDV4, STRING } = require('sequelize');

module.exports = (sequelize, DataTypes) => {
	const ActivityImages = sequelize.define(
		'ActivityImages',
		{
			id: {
				type: UUID,
				defaultValue: UUIDV4,
				allowNull: false,
				primaryKey: true,
			},
			activity_id: {
				type: UUID,
				allowNull: false,
			},
			image: {
				type: STRING,
				allowNull: false,
			},
		},
		{
			tableName: 'activity_images',
			timestamps: false,
		},
	);
	return ActivityImages;
};
